/*_________________________________________________________________________________________________

  Album and popup..Album creates an album page with still photos resized from the specified 
  frame of a video clip. PopUp pops out the video clip at the specified frame interval.
  AlbumPop combines both above functions into one function but with reduced options.

  ________________________________________________________________________________________________*/


#include "windows.h"
#include "avisynth.h"
#include "FastResizer.cpp"
#include  "math.h"


#include "Album.cpp"
#include "PopUp.cpp"
#include "AlbumPop.cpp"
#include "MAlbum.cpp"


extern "C" __declspec(dllexport) const char* __stdcall AvisynthPluginInit2(IScriptEnvironment* env)
{
    env->AddFunction("Album", "cc[preset]b[nphotos]i[position]i[startframe]i[endframe]i[photoframe]i[border]i[inxl]i[inyt]i[inxr]i[inyb]i[outxl]i[outyt]i[outxr]i[outyb]i", Create_Album, 0);
	env->AddFunction("PopUp", "cciiii", Create_PopUp, 0);
	env->AddFunction("AlbumPop", "cbic+i+", Create_AlbumPop, 0);
	env->AddFunction("MAlbum", "cc[preset]b[nphotos]i[position]i[startframe]i[endframe]i[photoframe]i[border]i[inxl]i[inyt]i[inxr]i[inyb]i[outxl]i[outyt]i[outxr]i[outyb]i[merge]i", Create_MAlbum, 0);


				
    return "Album_PopUp  Plugin";
}